/** @jsx jsx */
import React from "react";
import { jsx } from "@emotion/react";
export interface ToastProps {
    heading: string;
    body: string;
    opened: boolean;
    onClose: () => void;
    type?: "success" | "error" | "warning" | "neutral";
    location?: "top" | "bottom-right";
    timeout?: number;
    icon?: React.ReactChild;
}
export declare const Toast: ({ heading, body, opened, onClose, type, location, timeout, icon, }: ToastProps) => jsx.JSX.Element;
