/** @jsx jsx */
import React from "react";
import { jsx } from "@emotion/react";
export interface DrawerProps {
    heading: string;
    children: React.ReactNode;
    opened: boolean;
    onClose: () => void;
    location?: "left" | "right";
    width?: string;
    height?: string;
}
export declare const Drawer: ({ heading, children, opened, onClose, location, width, height, }: DrawerProps) => jsx.JSX.Element;
